Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class RCXMotorMultiplexer

    java.lang.Object
      lejos.nxt.I2CSensor
          lejos.nxt.RCXMotorMultiplexer

All Implemented Interfaces:
  SensorConstants

    public class RCXMotorMultiplexer

extends I2CSensor

Supports the mindsensors RCX Motor Multiplexer

Author:
  Lawrie Griffiths

Field Summary
`RCXMotor` | `A`
`RCXMotor` | `B`
`RCXMotor` | `C`
`RCXMotor` | `D`

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`RCXMotorMultiplexer(I2CPort port)`

Method Summary
`int` | `getDirection(int id)`
`int` | `getSpeed(int id)`
`void` | `setDirection(int direction, int id)`
`void` | `setSpeed(int speed, int id)`

Methods inherited from class lejos.nxt.I2CSensor
`getData, getPort, getProductID, getSensorType, getVersion, sendData, sendData, setAddress`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### A

    public RCXMotor A

### B

    public RCXMotor B

### C

    public RCXMotor C

### D

    public RCXMotor D

Constructor Detail

### RCXMotorMultiplexer

    public RCXMotorMultiplexer(I2CPort port)

Method Detail

### setSpeed

    public void setSpeed(int speed,
                         int id)

### getSpeed

    public int getSpeed(int id)

### setDirection

    public void setDirection(int direction,
                             int id)

### getDirection

    public int getDirection(int id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD